<?php
namespace Mirasvit\SeoFilter\Controller\Adminhtml\Command\Reset;

/**
 * Interceptor class for @see \Mirasvit\SeoFilter\Controller\Adminhtml\Command\Reset
 */
class Interceptor extends \Mirasvit\SeoFilter\Controller\Adminhtml\Command\Reset implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoFilter\Repository\RewriteRepository $rewriteRepository, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($rewriteRepository, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute() : void
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
